Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2142 - latest installer boot.img does not find RedHat on local Linux Native partition
Summary: latest installer boot.img does not find RedHat on local Linux Native partition
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-12 16:41 UTC by khera
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-17 21:10:08 UTC


Attachments (Terms of Use)

Description khera 1999-04-12 16:41:18 UTC
The latest installer from the 5.9.7-1 "release" of Starbuck
does not find RedHat on a local linux partition sdc1 hanging
off of a BusLogic controller. The "5.9-1" release boot.img
disk is able to upgrade from this local hard disk.

However, using the older boot.img disk to install the latest
release results in many warnings of unknown options in the
rpm config file, and fails to install the boot loader
(leaving a nice unbootable system).  It also fails to create
an emergency boot disk!  Luckily I have an older emergency
boot disk around...

Using the older boot.img to install the older "5.9-1"
release works just fine (except for some garbage characters
displayed on disk device names in the boot process.)

Comment 1 Matt Wilson 1999-04-17 21:10:59 UTC
fixed in future release

Comment 2 noah 1999-05-07 22:01:59 UTC
I get an error in the "Find installation files" part of the
install of the released 6.0 RedHat.  RedHat is on hda3 (on
my laptop); this partition is also my root partition.  I
get "mount failed: Device or resource busy".  It is apparently
trying to mount /tmp/hda3 onto /tmp/hdimage, which is wrong
because /tmp/hdimage is already a symlink pointing to (correctly
mounted) /mnt.  /tmp/rhimage is also correctly pointing to
/tmp/hdimage/home/ftp/pub/redhat-6.0 (my install dir).

I suspect the problem may be that I have a / and a /boot partition
on my 5.2 installation.  I suspect the installer is trying to
umount /mnt without umounting /mnt/boot first.  I umounted /mnt/boot
and then /mnt manually, and did a "Retry" on that installation
step, and it proceeded correctly.  However, when that step finished,
it re-unmounted /mnt, leaving the installer unable to find my
already-installed RPM database.  So, I re-mounted /mnt and
/mnt/boot manually, and a "Retry" of that step seemed to proceed
correctly for a while.

After doing the rebuilding of RPM database step, it attempted to
un/re-mount some stuff.  I eventually decided to ignore my /boot
partition entirely, and I manually mounted stuff until it started
cooperating again.  It managed to remount hda3 read-only on
/tmp/hdimage, and then wouldn't create a log file of the install
because of being mounted read-only.

In short, somebody check that you can install to the same
partition your installation files are on, and that you can
have another partition that mounts on your root partition.


Note You need to log in before you can comment on or make changes to this bug.